package nckd.jxccl.base.common.enums.psms;

import java.util.HashMap;
import java.util.Map;

/**
 * 员工年度贡献综合评价积分-积分具体项目
 * @author W.Y.C
 * @date 2025/10/14 10:35
 * @version 1.0
 */
public enum ScoreItemSubEnum {

    /**技术奖*/
    TECHNOLOGY_AWARD("01-1", "科技进步、科学技术奖"),
    TECHNOLOGY_AWARD_2("01-2", "科技进步、科学技术奖"),
    TECHNOLOGY_AWARD_3("01-3", "科技进步、科学技术奖"),
    TECHNOLOGY_AWARD_4("01-4", "科技进步、科学技术奖"),
    /**管理创新奖*/
    MANAGEMENT_INNOVATION_AWARD("03-1", "管理创新奖"),
    MANAGEMENT_INNOVATION_AWARD_2("03-2", "管理创新奖"),
    /**全员创效奖*/
    EMPLOYEES_CREATIVE_AWARD("04-1", "全员创效奖"),
    EMPLOYEES_CREATIVE_AWARD_2("04-2", "全员创效奖"),
    /**党建创新奖励*/
    PARTY_INNOVATION_AWARD("06-1", "党建创新奖励"),
    PARTY_INNOVATION_AWARD_2("06-2", "党建创新奖励"),
    /**专利授权*/
    PATENT_AUTHORIZATION("07-1", "专利授权"),
    PATENT_AUTHORIZATION_2("07-2", "发明专利授权"),
    /**期刊*/
    JOURNAL("08-1", "国家级期刊"),
    JOURNAL_2("08-2", "《铜业工程》"),
    JOURNAL_3("08-3", "省部级期刊"),
    /**技能竞赛奖*/
    SKILL_COMPETITION_AWARD("09-1", "技能竞赛奖"),
    SKILL_COMPETITION_AWARD_2("09-2", "技能竞赛奖"),
    SKILL_COMPETITION_AWARD_3("09-3", "公司级青工技能竞赛奖"),
    SKILL_COMPETITION_AWARD_4("09-4", "公司级青工技能竞赛奖"),
    /**技能竞赛奖*/
    SKILL_COMPETITION_AWARD_5("09-5", "厂矿级技能竞赛奖");



    private static final Map<String, ScoreItemSubEnum> CODE_MAP = new HashMap<>();

    static {
        for (ScoreItemSubEnum value : ScoreItemSubEnum.values()) {
            CODE_MAP.put(value.code, value);
        }
    }

    private final String code;
    private final String name;

    ScoreItemSubEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    /**
     * 根据编码获取枚举
     * @param code
     * @return: AdjustTypeEnum
     * @author W.Y.C
     * @date: 2025/09/12 14:33
     */
    public static ScoreItemSubEnum getByCode(String code) {
        if (code == null) {
            return null;
        }
        return CODE_MAP.get(code);
    }



    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

}
